Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "1e286d1d-cee9-4b10-a681-65557343410e",
"date_start": "2026-10-17T14:54:22.3969244+00:00",
"date_end": "2026-10-17T14:54:22.3969244+00:00",
"modified_dateutc": "2026-10-17T14:54:22.3969244+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "650be4cf-34b6-4331-937e-ef5c930a8b51",
"user_code": "sample string 8",
"user": {
"id": "ad1d6ebf-fae3-49f8-96c6-3ba45f7340f0",
"db_language_id": "b72b5fc8-5750-48ec-a1d0-aec9213ded71",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-17T14:54:22.3969244+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "020c5fb8-daf7-4617-a3c5-f0b20fab74bc",
"sales_organization": {
"id": "8215ecd7-0050-4032-8a33-d44ac3819249",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b09d66f-12b4-457f-970e-e37a8e88e58e",
"db_currency_id": "bec96a61-5b8f-4b84-ae9f-d080f10bd838",
"db_language_id": "fc8552d4-e9ac-4bc7-93c4-fe405314a7b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T14:54:22.3969244+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f1d1a475-7836-4555-aae6-0b9a50ab64bc",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "962f4a15-19cc-4403-b68e-5a9860fb7e77",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-17T14:54:22.3969244+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "d6f53bfc-5fa4-4ee7-8a5c-a26f963dfe92"
},
"user_unavailability_type_id": "eed2b289-5393-4f5d-bb96-d1c9cda8b036",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "e7008bfb-e372-4a55-969f-f65133cb4831",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "6803200b-f334-4d81-a78d-706fe2cd953b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8215ecd7-0050-4032-8a33-d44ac3819249",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b09d66f-12b4-457f-970e-e37a8e88e58e",
"db_currency_id": "bec96a61-5b8f-4b84-ae9f-d080f10bd838",
"db_language_id": "fc8552d4-e9ac-4bc7-93c4-fe405314a7b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T14:54:22.3969244+00:00"
},
"modified_dateutc": "2026-10-17T14:54:22.3969244+00:00"
}
}